com.atid.lib.module.barcode.spc.type

## Enum GS1Emulation

- java.lang.Object
- - java.lang.Enum<GS1Emulation>
  - - com.atid.lib.module.barcode.spc.type.GS1Emulation

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<GS1Emulation>

      public enum GS1Emulation
      extends java.lang.Enum<GS1Emulation>
      implements IEnumType

  The scanner can automatically format the output from any GS1 data carrier to emulate what would be encoded in an equivalent GS1-128 or GS1 DataBar symbol. GS1 data carriers include UPC-A and UPC-E, EAN-13 and EAN-8, ITF-14, GS1-128, and GS1-128 DataBar and GS1 Composites. (Any application that accepts GS1 data can be simplified since it only needs to recognize one data carrier type.) If GS1-128 Emulation is scanned, all retail codes (U.P.C., UPC-E, EAN8, EAN13) are expanded out to 16 digits. If the AIM ID is enabled, the value will be the GS1-128 AIM ID, ]C1 . If GS1 DataBar Emulation is scanned, all retail codes (U.P.C., UPC-E, EAN8, EAN13) are expanded out to 16 digits. If the AIM ID is enabled, the value will be the GS1-DataBar AIM ID, ]em . If GS1 Code Expansion Off is scanned, retail code expansion is disabled, and UPC-E expansion is controlled by the UPC-E0 Expand (page 6-22) setting. If the AIM ID is enabled, the value will be the GS1-128 AIM ID, ]C1 . If EAN8 to EAN13 Conversion is scanned, all EAN8 bar codes are converted to EAN13 format.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EAN8toEAN13Conversion`
    `GS1128Emulation`
    `GS1CodeExpansionOff`
    `GS1DataBarEmulation`
    `GS1EmulationOff`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static GS1Emulation` | `valueOf(int code)`
    `static GS1Emulation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GS1Emulation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GS1EmulationOff

          public static final GS1Emulation GS1EmulationOff

    - #### GS1128Emulation

          public static final GS1Emulation GS1128Emulation

    - #### GS1DataBarEmulation

          public static final GS1Emulation GS1DataBarEmulation

    - #### GS1CodeExpansionOff

          public static final GS1Emulation GS1CodeExpansionOff

    - #### EAN8toEAN13Conversion

          public static final GS1Emulation EAN8toEAN13Conversion

  - ### Method Detail

    - #### values

          public static GS1Emulation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GS1Emulation c : GS1Emulation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GS1Emulation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<GS1Emulation>`

    - #### valueOf

          public static GS1Emulation valueOf(int code)